package com.ruoyi.common.auth.wx;

import cn.binarywang.wx.miniapp.bean.WxMaJscode2SessionResult;
import com.alibaba.fastjson2.JSON;
import com.ruoyi.common.config.WxConfig;
import com.ruoyi.common.utils.http.HttpUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author wjh
 * 2024/7/29
 */
@Service
public class WxAuthService {


    @Autowired
    private WxConfig wxConfig;

    /**
     * 使用登录码获取微信用户信息
     * @param jsCode 登录码，通过wx.login获得
     */
    public WxMaJscode2SessionResult wxJsCode2Session(String jsCode) {
        String grantType = "authorization_code";
        String url = String.format("https://api.weixin.qq.com/sns/jscode2session?appid=%s&secret=%s&js_code=%s&grant_type=%s", wxConfig.getAppId(), wxConfig.getAppSecret(), jsCode, grantType);
        String body = HttpUtils.sendGet(url);
        return JSON.parseObject(body, WxMaJscode2SessionResult.class);
    }

}
