package com.ruoyi.ss.bonus.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

/**
 * @author wjh
 * 2024/8/20
 */
@Data
public class BonusQuery extends BonusVO {

    @ApiModelProperty("订单ID列表")
    private List<Long> billIds;

    @ApiModelProperty("分成方ID列表")
    private List<Long> arrivalIds;

    @ApiModelProperty("分成方类型列表")
    private List<String> arrivalTypes;

    @ApiModelProperty("支付时间：年")
    private Integer payTimeYear;

    @ApiModelProperty("支付日期（起始）")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate payDateStart;

    @ApiModelProperty("支付日期（结束）")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate payDateEnd;

}
