package com.ruoyi.ss.transactionBill.domain.vo;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.core.domain.JsonViewProfile;
import com.ruoyi.ss.suit.domain.enums.SuitTimeUnit;
import com.ruoyi.ss.transactionBill.domain.TransactionBill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author 辉
 * 2024/3/4
 */
@ApiModel
@Data
public class TransactionBillVO extends TransactionBill {
    @ApiModelProperty("用户名称")
    @JsonView(JsonViewProfile.App.class)
    private String userName;

    @ApiModelProperty("商户（到账用户）名称")
    @JsonView(JsonViewProfile.App.class)
    private String mchName;

    @ApiModelProperty("支付渠道名称")
    @JsonView(JsonViewProfile.App.class)
    private String channelName;

    @ApiModelProperty("商户手机号")
    @JsonView(JsonViewProfile.AppMch.class)
    private String mchMobile;

    @ApiModelProperty("用户手机号")
    @JsonView(JsonViewProfile.App.class)
    private String userMobile;

    @ApiModelProperty("设备总用电量")
    @JsonView(JsonViewProfile.App.class)
    private BigDecimal deviceTotalEle;

    @ApiModelProperty("是否使用中")
    @JsonView(JsonViewProfile.App.class)
    private Boolean isUsing;

    @ApiModelProperty("是否已经结束使用")
    @JsonView(JsonViewProfile.App.class)
    private Boolean isFinished;

    @ApiModelProperty("套餐剩余时长（秒）/电量（度）")
    @JsonView(JsonViewProfile.App.class)
    private BigDecimal suitSurplus;

    /**
     * 获取套餐时长（秒）
     */
    public long toSecondSuitTime() {
        SuitTimeUnit unit = SuitTimeUnit.getByValue(this.getSuitTimeUnit());
        if (unit == null) {
            unit = SuitTimeUnit.MINUTE;
        }
        long time = this.getSuitTime() == null ? 0 : this.getSuitTime();
        return time * unit.getConversion();
    }

}
